Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 406263002: Make sure that begin time cannot be greater than (Closed)

Created:
6 years, 6 months ago by reni
Modified:
6 years, 6 months ago
Reviewers:
krit, fs
CC:
blink-reviews, ed+blinkwatch_opera.com, shans, rjwright, Mike Lawther (Google), blink-reviews-animation_chromium.org, rwlbuis, kouhei+svg_chromium.org, dstockwell, Timothy Loh, krit, f(malita), gyuyoung.kim_webkit.org, darktears, Stephen Chennney, Steve Block, pdr., Eric Willigers
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

Make sure that begin time cannot be greater than SMILTime::indefiniteValue unintentionally. When blink::SVGSMILElement::resolveInterval creates a SMILTime begin node for a SMILInterval, then it only checks if the value of begin is indefinite or unresolved but misses the case if it is between these two reference values. This patch ensures that no SMILTime can be created above indefiniteValue. R=dschulze@chromium.org,fs@opera.com BUG=396044 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=178825

Patch Set 1 #

Total comments: 2

Patch Set 2 : Moving checks into the parser #

Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -2 lines) Patch
A LayoutTests/svg/animations/animateMotion-crash-with-large-begin-time.html View 1 chunk +15 lines, -0 lines 0 comments Download
A LayoutTests/svg/animations/animateMotion-crash-with-large-begin-time-expected.txt View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/svg/animation/SVGSMILElement.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
reni
6 years, 6 months ago (2014-07-22 15:32:26 UTC) #1
fs
https://codereview.chromium.org/406263002/diff/1/Source/core/svg/animation/SMILTime.h File Source/core/svg/animation/SMILTime.h (right): https://codereview.chromium.org/406263002/diff/1/Source/core/svg/animation/SMILTime.h#newcode37 Source/core/svg/animation/SMILTime.h:37: SMILTime(double time, bool checkRange = true) : m_time(checkRange && ...
6 years, 6 months ago (2014-07-22 16:29:37 UTC) #2
reni
I've added the isFinite() check not just to offset parsing but also to the full ...
6 years, 6 months ago (2014-07-23 13:42:35 UTC) #3
fs
LGTM On 2014/07/23 13:42:35, reni wrote: > I've added the isFinite() check not just to ...
6 years, 6 months ago (2014-07-23 14:25:32 UTC) #4
reni
The CQ bit was checked by rhodovan.u-szeged@partner.samsung.com
6 years, 6 months ago (2014-07-24 06:59:30 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rhodovan.u-szeged@partner.samsung.com/406263002/20001
6 years, 6 months ago (2014-07-24 07:00:26 UTC) #6
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: win_blink_rel on tryserver.blink ...
6 years, 6 months ago (2014-07-24 07:57:41 UTC) #7
commit-bot: I haz the power
6 years, 6 months ago (2014-07-24 08:35:50 UTC) #8
Message was sent while issue was closed.
Change committed as 178825

Powered by Google App Engine
This is Rietveld 408576698